SUBVOLUME="{{ item.subvolume }}"

FSTYPE="btrfs"

# No QGROUP value (yet?) since it's currently troublesome
QGROUP=""

# these are the default settings
SPACE_LIMIT="0.5"
FREE_LIMIT="0.2"

# Allow a list of users/groups to operate on this config's snapshots
ALLOW_USERS=""
ALLOW_GROUPS=""

SYNC_ACL="no"

BACKGROUND_COMPARISON="yes"

# Only "none" or "gzip" (I wish it supported zstd ^-^)
COMPRESSION="gzip"

# Cleaup snapshots based on the number created
NUMBER_CLEANUP="{{ item.number_cleanup.enabled | ternary('yes', 'no') }}"
NUMBER_MIN_AGE="{{ item.number_cleanup.min_age is defined | ternary(item.number_cleanup.min_age, 1800) }}"
NUMBER_LIMIT="{{ item.number_cleanup.limit is defined | ternary(item.number_cleanup.limit, 50) }}"
NUMBER_LIMIT_IMPORTANT="{{ item.number_cleanup.limit_important is defined | ternary(item.number_cleanup.limit_important, 10) }}"

# Configure hourly snapshots
TIMELINE_CREATE="yes"
TIMELINE_CLEANUP="{{ item.timeline.cleanup_enabled | ternary('yes', 'no') }}"
TIMELINE_MIN_AGE="{{ item.timeline.min_age is defined | ternary(item.timeline.min_age, 1800) }}"
TIMELINE_LIMIT_HOURLY="{{ item.timeline.hourly is defined | ternary(item.timeline.hourly, 10) }}"
TIMELINE_LIMIT_DAILY="{{ item.timeline.daily is defined | ternary(item.timeline.daily, 10) }}"
TIMELINE_LIMIT_WEEKLY="{{ item.timeline.weekly is defined | ternary(item.timeline.weekly, 0) }}"
TIMELINE_LIMIT_MONTHLY="{{ item.timeline.monthly is defined | ternary(item.timeline.monthly, 10) }}"
TIMELINE_LIMIT_YEARLY="{{ item.timeline.yearly is defined | ternary(item.timeline.yearly, 10) }}"

# Pre-post snapshot pairs
EMPTY_PRE_POST_CLEANUP="{{ item.pre_post_cleanup.enabled | ternary('yes', 'no') }}"
EMPTY_PRE_POST_MIN_AGE="{{ item.pre_post_cleanup.min_age is defined | ternary(item.pre_post_cleanup.min_age, 1800) }}"
